clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CollectEntitiesConsumer Class Reference
Inheritance diagram for CollectEntitiesConsumer:
[legend]
Collaboration diagram for CollectEntitiesConsumer:
[legend]

## Public Member Functions
| CollectEntitiesConsumer (EntityMap &Entities, PreprocessorTracker &preprocessorTracker, Preprocessor &PP, StringRef InFile, int &HadErrors)
| ~CollectEntitiesConsumer () override
void | HandleTranslationUnit (ASTContext &Ctx) override

## Detailed Description

Definition at line 654 of file Modularize.cpp.

## Constructor & Destructor Documentation

CollectEntitiesConsumer::CollectEntitiesConsumer | ( | EntityMap & | Entities,
|  | PreprocessorTracker & | preprocessorTracker,
|  | Preprocessor & | PP,
|  | StringRef | InFile,
|  | int & | HadErrors
| ) |  |
| inline

Definition at line 656 of file Modularize.cpp.

References PPTracker.

CollectEntitiesConsumer::~CollectEntitiesConsumer | ( |  | ) |
| inline override

Definition at line 664 of file Modularize.cpp.

References PPTracker.

## Member Function Documentation

void CollectEntitiesConsumer::HandleTranslationUnit | ( | ASTContext & | Ctx | ) |
| inline override

Definition at line 666 of file Modularize.cpp.

References Entry::EK_Macro, Loc, PP, PPTracker, and SM.

The documentation for this class was generated from the following file:

- Modularize.cpp